Skip to main content
POST
Promote

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

app_id
string
required

ID of the application that owns the connector.

resource_type_id
string
required

ID of the resource type used for discovered applications.

resource_id
string
required

Resource ID of the unmanaged application.

Body

application/json

PromoteAppManagedStateBindingRequest identifies an unmanaged application and configures its owners.

appEntitlementOwnerRefs
App Entitlement Ref · object[] | null

Entitlements to assign as owners of the new application.

expandMask
App Managed State Binding Expand Mask · object | null

AppManagedStateBindingExpandMask controls which related objects are included in a response.

userIds
string[] | null

User IDs to assign as owners of the new application. If omitted, the application inherits the owners of the source connector application.

Response

200 - application/json

GetAppManagedStateBindingResponse contains the managed state of a discovered application.

GetAppManagedStateBindingResponse contains the managed state of a discovered application.

appManagementState
App Managed State Binding View · object | null

AppManagedStateBindingView contains a managed-state binding and paths to its related objects.

expanded
object[] | null

Related objects requested through expand_mask. REST Get requests do not support expansions; REST Promote requests do.